Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.util
Class LabelValueBean

    java.lang.Object
      |
      +--org.apache.struts.util.LabelValueBean

All Implemented Interfaces:
  java.io.Serializable

public class LabelValueBean
extends java.lang.Object
implements java.io.Serializable

A simple JavaBean to represent label-value pairs. This is most commonly used when constructing user interface elements which have a label to be displayed to the user, and a corresponding value to be returned to the server. One example is the `<html:options>` tag.

Version:
  $Revision: 1.1 $ $Date: 2003/08/22 08:43:29 $
Author:
  Craig R. McClanahan, Martin F N Cooper
See Also:
  Serialized Form

Field Summary
`private java.lang.String` | `label` The property which supplies the option label visible to the end user.
`private java.lang.String` | `value` The property which supplies the value returned to the server.

Constructor Summary
`LabelValueBean(java.lang.String label, java.lang.String value)` Construct an instance with the supplied property values.

Method Summary
`java.lang.String` | `getLabel()`
`java.lang.String` | `getValue()`
`void` | `setLabel(java.lang.String label)`
`void` | `setValue(java.lang.String value)`
`java.lang.String` | `toString()` Return a string representation of this object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### label

    private java.lang.String label

  The property which supplies the option label visible to the end user.

### value

    private java.lang.String value

  The property which supplies the value returned to the server.

Constructor Detail

### LabelValueBean

    public LabelValueBean(java.lang.String label,
                          java.lang.String value)

  Construct an instance with the supplied property values.

Parameters:
  `label` - The label to be displayed to the user.
  `value` - The value to be returned to the server.

Method Detail

### getLabel

    public java.lang.String getLabel()

### setLabel

    public void setLabel(java.lang.String label)

### getValue

    public java.lang.String getValue()

### setValue

    public void setValue(java.lang.String value)

### toString

    public java.lang.String toString()

  Return a string representation of this object.

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 - Apache Software Foundation